# Get Orders Report

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/users/reports/tax-order-summary`

Returns a list of order summaries from the specified time period.

## Request

### Headers

<table><thead><tr><th width="214.6171875">Name</th><th width="78.5703125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Content-Type</code> <em><mark style="color:red;">required</mark></em></td><td>string</td><td><code>application/json</code></td></tr><tr><td><code>Authorization</code> <em><mark style="color:red;">required</mark></em></td><td>string</td><td>Bearer token</td></tr></tbody></table>

### Query Parameters

<table><thead><tr><th width="102.9609375">Name</th><th width="97.578125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>end</code></td><td>Number</td><td>The unix timestamp (seconds) of the last datapoint returned</td></tr><tr><td><code>start</code></td><td>Number</td><td>The unix timestamp (seconds) of the first datapoint returned</td></tr></tbody></table>

### Example Request

{% tabs %}
{% tab title="Curl" %}
{% code overflow="wrap" %}

```bash
curl 'https://api.sfox.com/v1/users/reports/tax-order-summary?end=1676102399999&start=1673337600000'
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/users/reports/tax-order-summary',
  params: {
    startTime: 1657217002,
    endTime: 1665165809
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/users/reports/tax-order-summary",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  params={
   "startTime": 1657217002,
   "endTime": 1665165809
  }
)
print(data)
```

{% endtab %}
{% endtabs %}

## Response

CSV formatted response

{% tabs %}
{% tab title="200 " %}

```
OrderId,OrderDate,AddedByUserEmail,Action,AssetPair,Quantity,Asset,AssetUSDFXRate,UnitPrice,PriceCurrency,PrincipalAmount,PriceUSDFXRate,PrincipalAmountUSD,Fees,FeesUSD,Total,TotalUSD
703915618,Tue Jan 24 2023 01:44:00 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Buy,xlmusd,106.35165019,xlm,0.09384001,0.09384001,usd,9.98003992,1,9.98003992,0.01996008,0.01996008,10,10
703915655,Tue Jan 24 2023 01:47:06 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Sell,xlmusd,150.56406,xlm,0.09377324,0.09377324,usd,14.11887974,1,14.11887973,0.02823776,0.02823776,14.09064197,14.09064197
704255180,Fri Feb 10 2023 00:19:10 GMT+0000 (Coordinated Universal Time),qmccarthy@sfox.com,Buy,avaxusd,1,avax,17.94148758,17.94148758,usd,17.94148758,1,17.94148758,0.03588298,0.03588298,17.97737056,17.97737056
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/reporting/get-orders-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
